
Redmine - Feature #746

Versioned issue descriptions

2008-02-27 20:22 - Ben Oakes

Status: Closed Start date: 2008-02-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

It would be very useful to be able to have the ability to track changes to a description over time, much like a wiki.  Currently, to get

around this limitation, we have been tracking changes by adding notes.  This is important because we may want to update a

description to more closely match our understanding of a problem, but we would still like to keep what a bug reporter or feature

requester originally said in case there is a mixup.

Related issues:

Related to Redmine - Patch #1717: Show diff for issue description change Closed 2008-07-30

Has duplicate Redmine - Feature #328: Log any changes to the issue. descripti... Closed

Has duplicate Redmine - Feature #2503: History of Ticket-Description Closed 2009-01-13

Has duplicate Redmine - Feature #4811: Track changes to issue descriptions li... Closed 2010-02-11

Associated revisions

Revision 4954 - 2011-02-27 14:34 - Jean-Philippe Lang

Keep track of issue description changes (#746).

History

#1 - 2008-05-16 16:03 - Ronie Henrich

+1

#2 - 2008-06-18 13:17 - Artem Vasiliev

+1

To me it's very major feature, implemented brilliantly in Trac not a long ago.

#3 - 2008-06-18 13:33 - Artem Vasiliev

Description change even doesn't go to change history, but that's another story (with an easy hack-around): #328

#4 - 2008-07-30 19:35 - Artem Vasiliev

Patch created closing this issue, #1717

#5 - 2009-02-09 20:10 - Reach Everywhere

+1

#6 - 2010-04-14 17:24 - Ben Oakes

Artem sviridov:  should this issue be closed?  (Has the patch been accepted?)

#7 - 2010-05-16 01:00 - Felix Schäfer

- Status changed from New to Closed

Closing this issue in favor of #746.

#8 - 2010-05-16 01:02 - Felix Schäfer

- Category set to Issues

- Status changed from Closed to Reopened
http://code.whytheluckystiff.net/markaby/ticket/47?action=diff&version=4
https://www.redmine.org/issues/328
https://www.redmine.org/issues/1717
https://www.redmine.org/users/14013
https://www.redmine.org/issues/746


Sorry, I had entered the relation the wrong way round.

#9 - 2010-08-17 02:43 - Randy Syring

fwiw, +1  :D

#10 - 2010-11-24 00:22 - Marek Siller

+1 it would be a nice feature to have.

#11 - 2010-11-26 16:45 - Aleksander Palyan

I wrote new plugin for this feature.

You can try to use this plugin: https://github.com/freedayko/redmine_issue_history

#12 - 2010-11-27 05:39 - Mischa The Evil

Aleksander Palyan wrote:

I wrote new plugin for this feature.

You can try to use this plugin: https://github.com/freedayko/redmine_issue_history

 I've did some quick testing and it seems like you've integrated the functionality of the patches provided for issue #1717 smoothly and nicely.

Thanks for your contribution.

#13 - 2010-11-29 01:54 - Mischa The Evil

Mischa The Evil wrote:

Aleksander Palyan wrote:

I wrote new plugin for this feature.

You can try to use this plugin: https://github.com/freedayko/redmine_issue_history

 I've did some quick testing and it seems like you've integrated the functionality of the patches provided for issue #1717 smoothly and nicely.

 Just to let you know: I think I found an issue and filed it at https://github.com/freedayko/redmine_issue_history/issues/.#issue/1 -> Issue has been

fixed by plugin author.

#14 - 2010-12-21 02:14 - Leonard Brünings

I think this should be part of the Redmine core, but for now we will try the plugin.

#15 - 2011-02-27 14:39 - Jean-Philippe Lang

- Subject changed from Versioned Descriptions to Versioned issue descriptions

- Status changed from Reopened to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Feature added in r4954. Description changes are now saved and diffs can be viewed from the issue history.

The implementation makes use of the existing issue history models which makes it radically different from the proposed plugin.

#16 - 2011-02-28 12:23 - Dominic Clifton

- Status changed from Closed to Reopened

Is the plugin by Aleksander Palyan compatible with the upcoming 1.2.x release?  If not is there a simple way to migrate from the plugin when 1.2.x is

released?

Thanks everyone for your work on this, it's a very handy feature!

#17 - 2011-02-28 12:24 - Etienne Massip
https://github.com/freedayko/redmine_issue_history
https://github.com/freedayko/redmine_issue_history
https://www.redmine.org/issues/1717
https://github.com/freedayko/redmine_issue_history
https://www.redmine.org/issues/1717
https://github.com/freedayko/redmine_issue_history/issues/.#issue/1
https://www.redmine.org/projects/redmine/repository/svn/revisions/4954


- Status changed from Reopened to Closed

Please ask the plugin author.

#18 - 2011-02-28 13:09 - Ben Oakes

Great to see.  Thanks for taking the time to implement this, Jean-Philippe Lang.
